Skip to content
Start here

Zone Subscription Details

zones.subscriptions.get(SubscriptionGetParams**kwargs) -> SubscriptionGetResponse
GET/zones/{zone_id}/subscription

Lists zone subscription details.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Billing WriteBilling Read
ParametersExpand Collapse
zone_id: str

Identifier

maxLength32
ReturnsExpand Collapse
class SubscriptionGetResponse:
id: Optional[str]

Subscription identifier tag.

maxLength32
currency: Optional[str]

The monetary unit in which pricing information is displayed.

current_period_end: Optional[datetime]

The end of the current period and also when the next billing is due.

formatdate-time
current_period_start: Optional[datetime]

When the current billing period started. May match initial_period_start if this is the first period.

formatdate-time
frequency: Optional[Literal["weekly", "monthly", "quarterly", 2 more]]

How often the subscription is renewed automatically.

One of the following:
"weekly"
"monthly"
"quarterly"
"yearly"
"not-applicable"
price: Optional[float]

The price of the subscription that will be billed, in US dollars.

rate_plan: Optional[RatePlan]

The rate plan applied to the subscription.

id: Optional[Literal["free", "lite", "pro", 7 more]]

The ID of the rate plan.

One of the following:
"free"
"lite"
"pro"
"pro_plus"
"business"
"enterprise"
"partners_free"
"partners_pro"
"partners_business"
"partners_enterprise"
currency: Optional[str]

The currency applied to the rate plan subscription.

externally_managed: Optional[bool]

Whether this rate plan is managed externally from Cloudflare.

is_contract: Optional[bool]

Whether a rate plan is enterprise-based (or newly adopted term contract).

public_name: Optional[str]

The full name of the rate plan.

scope: Optional[str]

The scope that this rate plan applies to.

sets: Optional[List[str]]

The list of sets this rate plan applies to. Returns array of strings.

state: Optional[Literal["Trial", "Provisioned", "Paid", 4 more]]

The state that the subscription is in.

One of the following:
"Trial"
"Provisioned"
"Paid"
"AwaitingPayment"
"Cancelled"
"Failed"
"Expired"

Zone Subscription Details

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
subscription = client.zones.subscriptions.get(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(subscription.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "506e3185e9c882d175a2d0cb0093d9f2",
    "currency": "USD",
    "current_period_end": "2014-03-31T12:20:00Z",
    "current_period_start": "2014-05-11T12:20:00Z",
    "frequency": "monthly",
    "price": 20,
    "rate_plan": {
      "id": "free",
      "currency": "USD",
      "externally_managed": false,
      "is_contract": false,
      "public_name": "Business Plan",
      "scope": "zone",
      "sets": [
        "string"
      ]
    },
    "state": "Paid"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "506e3185e9c882d175a2d0cb0093d9f2",
    "currency": "USD",
    "current_period_end": "2014-03-31T12:20:00Z",
    "current_period_start": "2014-05-11T12:20:00Z",
    "frequency": "monthly",
    "price": 20,
    "rate_plan": {
      "id": "free",
      "currency": "USD",
      "externally_managed": false,
      "is_contract": false,
      "public_name": "Business Plan",
      "scope": "zone",
      "sets": [
        "string"
      ]
    },
    "state": "Paid"
  },
  "success": true
}